---
title: "Get Control Account Usages"
slug: "get-control-account-usages"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Control Account Usages

Get/v1/control-accounts/usages

Get all usages that belong to a specific Control Account.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Query parameterspageinteger

Page number

sizeinteger

Number of items per page

governanceAccountIdinteger

Filter by Governance Account ID

controlAccountIdinteger

Filter by Control Account ID

subAccountIdinteger

Filter by Sub-Account ID

latestboolean

Retrieve only the latest usage

fromstring (date) 

Start date (YYYY-MM-DD)

tostring (date) 

End date (YYYY-MM-DD)

wasabiAccountNumberinteger

Filter by Wasabi account number

Responses200

Successfully retrieved usages

<select class='api-response-data' aria-label='Media type'><option value='1e717ff1-691a-4c86-ae3e-0762b3999a9c'>application/json</option>
</select>

```json
{
  "success": "True",
  "data": {
    "items": [
      {
        "id": "123456",
        "startTime": "2024-01-15",
        "endTime": "2024-01-15",
        "activeStorage": "1.234567",
        "deletedStorage": "0.012345",
        "storageWrote": "0.056789",
        "storageRead": "0.023456",
        "activeObjects": "150000",
        "deletedObjects": "2000",
        "egress": "0.5",
        "ingress": "2026-01-02T00:00:00Z",
        "apiCalls": "150000",
        "controlAccountId": "13337",
        "controlAccountName": "Sample Control Account",
        "controlAccountEmail": "control@example.com",
        "governanceAccountId": "3214",
        "governanceAccountName": "Sample Governance",
        "wasabiAccountNumber": "100123456"
      }
    ],
    "page": "1",
    "size": "20",
    "total": "1"
  }
}
```

Expand Allobject  successboolean    
dataobject  items Array of object (UsageResponse)   object  idinteger    
startTimestring  (date)    
endTimestring  (date)    
activeStoragenumber    

Active storage in TB

deletedStoragenumber    

Deleted storage in TB

storageWrotenumber    

Storage written in TB

storageReadnumber    

Storage read in TB

activeObjectsinteger    
deletedObjectsinteger    
egressnumber    

Egress in GB

ingressnumber    

Ingress in GB

apiCallsinteger    
controlAccountIdinteger    
controlAccountNamestring    
controlAccountEmailstring    
governanceAccountIdinteger    
governanceAccountNamestring    
wasabiAccountNumberinteger    

pageinteger    
sizeinteger    
totalinteger
